#Functions to isolate differences between different list synapse constructors
class NealCoverFunctions:
    def __init__(self, simName,sim,spinnVersion):
        self.DELAY = 1.0
        self.simulator = simName
        self.sim = sim
        self.spinnVersion = spinnVersion

    def nealProjection(self,preNeurons,postNeurons, connectorList,inhExc):
        connList = self.sim.FromListConnector(connectorList)
        if ((self.simulator=="spinnaker") and (self.spinnVersion==7)):
            self.sim.Projection(preNeurons, postNeurons, connList,target=inhExc)   
        elif ((self.simulator=="nest") or
              ((self.simulator=="spinnaker") and (self.spinnVersion==8))):
            SYNAPSE_PARAMS = {}
            staticSynapse = self.sim.StaticSynapse(**SYNAPSE_PARAMS)
            self.sim.Projection(
                presynaptic_population=preNeurons, postsynaptic_population=postNeurons,
                connector=connList, synapse_type=staticSynapse, receptor_type=inhExc)

        else: print "bad simulator nealProjection"

